Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1818892

Summary: Review Request: webanalyze - Tool to uncovers technologies used on websites
Product: [Fedora] Fedora Reporter: Fabian Affolter <mail>
Component: Package ReviewAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-07-01 01:35:31 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1818886    
Bug Blocks: 563471    

Description Fabian Affolter 2020-03-30 15:58:21 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/webanalyze.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/webanalyze-0.3.1-1.fc31.src.rpm

Project URL: https://github.com/rverton/webanalyze

Description:
Port of Wappalyzer (uncovers technologies used on websites) in Go to automate
scanning.

Koji scratch build:
fails due to missing dependency

rpmlint output:
$ rpmlint webanalyze-0.3.1-1.fc31.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint webanalyze-*
webanalyze.x86_64: W: no-manual-page-for-binary webanalyze
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-06-19 14:44:46 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Fabian Affolter 2020-06-19 18:12:23 UTC
Thanks for the review.

Comment 3 Gwyn Ciesla 2020-06-19 18:50:53 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/webanalyze

Comment 4 Fedora Update System 2020-06-20 11:19:29 UTC
FEDORA-2020-7edd3974b0 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-7edd3974b0

Comment 5 Fedora Update System 2020-06-20 11:26:11 UTC
FEDORA-2020-c90d0afedd has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c90d0afedd

Comment 6 Fedora Update System 2020-06-23 01:03:41 UTC
FEDORA-2020-7edd3974b0 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-7edd3974b0 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-7edd3974b0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-06-23 01:53:43 UTC
FEDORA-2020-c90d0afedd has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-c90d0afedd \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c90d0afedd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-07-01 01:35:31 UTC
FEDORA-2020-c90d0afedd has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-07-01 01:48:56 UTC
FEDORA-2020-7edd3974b0 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.